---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-05-25T01:42:38Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://3b06584d-5741-4883-98f9-3183ec4d7c74"
documentDescribes:
- "SPDXRef-Project-GoMod-github.com.eclipse.paho.mqtt.golang-aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
- "SPDXRef-Project-GoMod-publisher-aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
- "SPDXRef-Project-GoMod-subscriber-aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
packages:
- SPDXID: "SPDXRef-Project-GoMod-github.com.eclipse.paho.mqtt.golang-aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/eclipse/paho.mqtt.golang"
  summary: "NONE"
  versionInfo: "aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
- SPDXID: "SPDXRef-Project-GoMod-publisher-aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "publisher"
  summary: "NONE"
  versionInfo: "aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
- SPDXID: "SPDXRef-Project-GoMod-subscriber-aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "subscriber"
  summary: "NONE"
  versionInfo: "aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
- SPDXID: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.2"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Feclipse%2Fpaho.mqtt.golang@1.4.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/eclipse/paho.mqtt.golang"
  summary: "NONE"
  versionInfo: "1.4.2"
- SPDXID: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.2-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/eclipse/paho.mqtt.golang.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Feclipse%2Fpaho.mqtt.golang@1.4.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/eclipse/paho.mqtt.golang"
  summary: "NONE"
  versionInfo: "1.4.2"
- SPDXID: "SPDXRef-Package-Go-github.com.gorilla.websocket-1.5.0"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Fgorilla%2Fwebsocket@1.5.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/gorilla/websocket"
  summary: "NONE"
  versionInfo: "1.5.0"
- SPDXID: "SPDXRef-Package-Go-github.com.gorilla.websocket-1.5.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/gorilla/websocket.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/github.com%2Fgorilla%2Fwebsocket@1.5.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "github.com/gorilla/websocket"
  summary: "NONE"
  versionInfo: "1.5.0"
- SPDXID: "SPDXRef-Package-Go-golang.org.x.net-0.8.0"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/golang.org%2Fx%2Fnet@0.8.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "golang.org/x/net"
  summary: "NONE"
  versionInfo: "0.8.0"
- SPDXID: "SPDXRef-Package-Go-golang.org.x.net-0.8.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://proxy.golang.org/golang.org/x/net/@v/v0.8.0.zip"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/golang.org%2Fx%2Fnet@0.8.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "golang.org/x/net"
  summary: "NONE"
  versionInfo: "0.8.0"
- SPDXID: "SPDXRef-Package-Go-golang.org.x.sync-0.1.0"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/golang.org%2Fx%2Fsync@0.1.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "golang.org/x/sync"
  summary: "NONE"
  versionInfo: "0.1.0"
- SPDXID: "SPDXRef-Package-Go-golang.org.x.sync-0.1.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://proxy.golang.org/golang.org/x/sync/@v/v0.1.0.zip"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:golang/golang.org%2Fx%2Fsync@0.1.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "golang.org/x/sync"
  summary: "NONE"
  versionInfo: "0.1.0"
relationships:
- spdxElementId: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.2"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.gorilla.websocket-1.5.0"
- spdxElementId: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.2"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.net-0.8.0"
- spdxElementId: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.2"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.sync-0.1.0"
- spdxElementId: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.2-vcs"
- spdxElementId: "SPDXRef-Package-Go-github.com.gorilla.websocket-1.5.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.gorilla.websocket-1.5.0-vcs"
- spdxElementId: "SPDXRef-Package-Go-golang.org.x.net-0.8.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.net-0.8.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Go-golang.org.x.sync-0.1.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.sync-0.1.0-source-artifact"
- spdxElementId: "SPDXRef-Project-GoMod-github.com.eclipse.paho.mqtt.golang-aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.gorilla.websocket-1.5.0"
- spdxElementId: "SPDXRef-Project-GoMod-github.com.eclipse.paho.mqtt.golang-aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.net-0.8.0"
- spdxElementId: "SPDXRef-Project-GoMod-github.com.eclipse.paho.mqtt.golang-aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-golang.org.x.sync-0.1.0"
- spdxElementId: "SPDXRef-Project-GoMod-publisher-aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.2"
- spdxElementId: "SPDXRef-Project-GoMod-subscriber-aa0a8ad044fe531bbf7336aa6b7e1c9a5031cddf"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Go-github.com.eclipse.paho.mqtt.golang-1.4.2"
